# $Revision: 1.22 $, $Date: 2007/06/17 08:00:31 $
#
# Conditional build:
%bcond_with	kde		# enable KDE support
%bcond_without	arts		# build without aRts default=no
#
Summary:	KchmViewer - a CHM (MS HTML help file format) viewer
Summary(pl.UTF-8):	KchmViewer - przeglądarka CHM (formatu plików pomocy MS HTML)
Name:		kchmviewer
Version:	3.1
Release:	1	
License:	GPL v2
Group:		Applications/Publishing
Source0:	http://dl.sourceforge.net/kchmviewer/%{name}-%{version}.tar.gz
# Source0-md5:	6666e32415e0e91f963190a25d5767fb
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-i18n.patch
URL:		http://kchmviewer.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	chmlib-devel >= 0.37
%{?with_kde:BuildRequires:	kdelibs-devel >= 9:3.0}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	qt-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KchmViewer is a CHM (MS HTML help file format) viewer, written in C++.
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget
library, and does not depend on KDE or GNOME. However, it may be
compiled with full KDE support, including KDE widgets and KIO/KHTML.

%description -l pl.UTF-8
KchmViewer to przeglądarka CHM (formatu plików pomocy MS HTML)
napisana w C++. W przeciwieństwie do większości istniejących
przeglądarek CHM dla Uniksa używa biblioteki widgetów Trolltecha Qt i
nie zależy od KDE czy GNOME. Jednak może być skompilowana z pełnym
wsparciem dla KDE, włącznie z widgetami KDE i KIO/KHTML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%{__perl} am_edit
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	%{?with_kde:--with-kde} \
	%{!?with_arts:--without-arts} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D lib/kio-msits/kchmviewer.desktop $RPM_BUILD_ROOT%{_desktopdir}/kde/kchmviewer.desktop
install -D src/pics/cr48-app-kchmviewer.png $RPM_BUILD_ROOT%{_pixmapsdir}/kchmviewer.png

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{du,nl}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog FAQ README
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/kde/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kchmviewer.spec,v $
Revision 1.22  2007/06/17 08:00:31  qboosh
- fix Dutch locale name

Revision 1.21  2007/06/17 07:31:01  twittner
- exclude du from locales (such directory doesn't exist under /usr/share/locale)
- rel. 1 - works

Revision 1.20  2007/06/17 07:09:52  twittner
- updated to 3.1
- rel. 0.1 (builds, not tested)

Revision 1.19  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.17  2006/12/07 13:49:59  shadzik
- version kdelibs BR

Revision 1.16  2006/12/07 13:02:27  vip
- up to 2.7

Revision 1.15  2006/11/13 15:38:04  sparky
- don't use %{?without_...:...}, it may not work after inverting bcond

Revision 1.14  2006/08/21 16:11:59  maciek2w
- updated to 2.6

Revision 1.13  2006/04/18 17:55:29  maciek2w
- gcc4 fix

Revision 1.12  2006/04/12 08:04:55  maciek2w
- updated to 2.5

Revision 1.11  2006/02/04 15:20:19  zawadaa
- up to 2.0
- system-chmlib patch is not needed - configure works
- STBR

Revision 1.10  2006/01/26 10:05:45  ankry
- added desktop patch: pl, Categories, other fixes

Revision 1.9  2005/11/28 14:51:50  charles
- updated to 1.3

Revision 1.8  2005/10/30 20:16:18  qboosh
- added system-chmlib patch to use system chmlib (which supports more archs)
- release 2

Revision 1.7  2005/10/30 17:14:49  charles
- updated to 1.1
- rel. 1

Revision 1.6  2005/10/20 21:42:34  twittner
- added missing backslash

Revision 1.5  2005/10/20 21:38:16  twittner
- added .desktop and icon

Revision 1.4  2005/08/26 19:45:09  qboosh
- pl, unified

Revision 1.3  2005/08/22 13:07:58  spider
- spaces -> tabs

Revision 1.2  2005/08/22 10:47:49  spider
- missing br

Revision 1.1  2005/08/22 10:45:44  spider
- init
